Subject: Re: [PATCH v5 2/5] doc: add an UPSTREAM BRANCHES section to pull/push/fetch

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Tue, 07 Oct 2025 14:23:57 +0200

On Mon, Oct 6, 2025, at 20:58, Julia Evans via GitGitGadget wrote:
>[snip]
>
> There's also a very terse description of "upstream branch" in the
> glossary that's missing a lot of key information, like the fact that the
> upstream is used by `git status` and `git pull`, as well as a
> description in `git-config` in `branch.<name>.remote` which doesn't
> explain the relationship to `git status` either.

nit: s/either/, either/ ?

I think that would flow better given the long distance between the last
punctuation/comma and the end of the sentence.

>
> Since the `git pull`, `git push`, and `git fetch` man pages already
> include sections on REMOTES and the syntax for URLs, add a section on
> UPSTREAM BRANCHES to `urls-remotes.adoc`.
>
> In the new UPSTREAM BRANCHES section, cover the various ways that
> upstreams branches are automatically set in Git, since users may

nit: s/upstreams branches/upstream branches/

> mistakenly think that their branch does not have an upstream branch if
> they didn't explicitly set one.
>
>[snip]